Package org.tmatesoft.svn.core.io

# Interface ISVNTunnelProvider

All Known Subinterfaces:
  `ISVNOptions`

public interface ISVNTunnelProvider
The ISVNTunnelProvider is the interface for providers of tunnel command lines matching a specific `"svn+xxx"` tunnel scheme.

With Subversion you may put your own URL scheme into the `config` file under the `tunnels` section like this:

     ssh = $SVN_SSH ...
     rsh = $SVN_RSH ...
     ...

The idea of this tunnel provider interface is the same: given a subprotocol name (a string following `svn+`, like `ssh`) a provider returns a command string (like `$SVN_SSH ...`).

A tunnel provider is passed to an SVNRepository driver that is expected to work through a tunnel (see `SVNRepository.setTunnelProvider()`). Just as you instantiate an SVNRepository object set it to use your tunnel provider.

If you would like to use tunnel scheme definitions from the standard Subversion `config` file, you may use a default provider implementation which is a default options driver you get calling a createDefaultOptions() method of the `SVNWCUtil` class.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

## Method Summary

Modifier and Type
Method
Description
`org.tmatesoft.svn.core.internal.io.svn.ISVNConnector`
`createTunnelConnector(SVNURL location)`
Returns a tunnel comand line matching the given subprotocol name.

## Method Details

### createTunnelConnector

org.tmatesoft.svn.core.internal.io.svn.ISVNConnector createTunnelConnector(SVNURL location)
Returns a tunnel comand line matching the given subprotocol name.

Parameters:
  `location` -
Returns:
  a tunnel command line